Changeset c252262


Ignore:
Timestamp:
01/15/2017 05:33:23 PM (5 years ago)
Author:
DJ Lucas <dj@…>
Branches:
10.0, 10.1, 11.0, 8.0, 8.1, 8.2, 8.3, 8.4, 9.0, 9.1, basic, bdubbs/svn, elogind, ken/refactor-virt, lazarus, perl-modules, qt5new, trunk, xry111/git-date, xry111/git-date-for-trunk, xry111/git-date-test
Children:
0901194
Parents:
75215bf
Message:

Fix build issue with latest gpgme.

git-svn-id: svn://svn.linuxfromscratch.org/BLFS/trunk/BOOK@18186 af4574ff-66df-0310-9fd7-8a98e5e911e0

Files:
10 edited

Legend:

Unmodified
Added
Removed
  • general.ent

    r75215bf rc252262  
    11<!-- $LastChangedBy$ $Date$ -->
    22
    3 <!ENTITY day          "14">                   <!-- Always 2 digits -->
     3<!ENTITY day          "15">                   <!-- Always 2 digits -->
    44<!ENTITY month        "01">                   <!-- Always 2 digits -->
    55<!ENTITY year         "2017">
     
    77<!ENTITY copyholder   "The BLFS Development Team">
    88<!ENTITY version      "&year;-&month;-&day;">
    9 <!ENTITY releasedate  "January 14th &year;">
     9<!ENTITY releasedate  "January 15th &year;">
    1010<!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
    1111<!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
  • general/prog/cmake.xml

    r75215bf rc252262  
    152152
    153153    <para>
    154       <command>sed ... CMakeLists.txt</command>: This command
    155       disables the attempt to use the external libuv library.
    156     </para>
    157 
    158     <para>
    159       <command>sed ... Modules/GNUInstallDirs.cmake</command>:
     154      <command>sed -i '/CMAKE_USE_LIBUV 1/s/1/0/' CMakeLists.txt</command>:
     155      This command disables the attempt to use the external libuv library.
     156    </para>
     157
     158    <para>
     159      <command>sed -i '/"lib64"/s/64//' Modules/GNUInstallDirs.cmake</command>:
    160160      This command disables applications using cmake from attempting to
    161       install files in /usr/lib64/.
     161      install files in a subdirectory named lib64 rather than lib.
    162162    </para>
    163163
  • introduction/welcome/changelog.xml

    r75215bf rc252262  
    4444-->
    4545    <listitem>
     46      <para>January 15th, 2016</para>
     47      <itemizedlist>
     48        <listitem>
     49          <para>[dj] - Fixed release issue with gpgme-1.8.0 that affects
     50          kwallet.</para>
     51        </listitem>
     52      </itemizedlist>
     53    </listitem>
     54
     55    <listitem>
    4656      <para>January 14th, 2016</para>
    4757      <itemizedlist>
  • kde/extra-cmake-modules.xml

    r75215bf rc252262  
    9797    </para>
    9898
    99 <screen><userinput>mkdir build &amp;&amp;
     99<screen><userinput>sed -i '/"lib64"/s/64//' kde-modules/KDEInstallDirs.cmake &amp;&amp;
     100
     101mkdir build &amp;&amp;
    100102cd    build &amp;&amp;
    101103
     
    117119
    118120<screen role="root"><userinput>make install</userinput></screen>
     121
     122  </sect2>
     123
     124  <sect2 role="commands">
     125    <title>Command Explanations</title>
     126
     127    <para>
     128      <command>sed -i '/"lib64"/s/64//' kde-modules/KDEInstallDirs.cmake</command>:
     129      This command disables applications using cmake from attempting to
     130      install files in a subdirectory named lib64 rather than lib.
     131    </para>
    119132
    120133  </sect2>
  • kde/libdbusmenuqt.xml

    r75215bf rc252262  
    8484
    8585cmake -DCMAKE_INSTALL_PREFIX=/usr \
    86       -DCMAKE_INSTALL_LIBDIR=lib  \
    8786      -DCMAKE_BUILD_TYPE=Release  \
    8887      -DWITH_DOC=OFF              \
  • kde/phonon-backend-gstreamer.xml

    r75215bf rc252262  
    9494
    9595cmake -DCMAKE_INSTALL_PREFIX=/usr    \
    96       -DCMAKE_INSTALL_LIBDIR=lib     \
    9796      -DCMAKE_BUILD_TYPE=Release     \
    9897      -DPHONON_BUILD_PHONON4QT5=ON   \
  • kde/phonon-backend-vlc.xml

    r75215bf rc252262  
    8787
    8888cmake -DCMAKE_INSTALL_PREFIX=/usr    \
    89       -DCMAKE_INSTALL_LIBDIR=lib     \
    9089      -DCMAKE_BUILD_TYPE=Release     \
    9190      -DPHONON_BUILD_PHONON4QT5=ON   \
  • kde/phonon.xml

    r75215bf rc252262  
    8888cmake -DCMAKE_INSTALL_PREFIX=/usr    \
    8989      -DCMAKE_BUILD_TYPE=Release     \
    90       -DCMAKE_INSTALL_LIBDIR=lib     \
    9190      -DPHONON_BUILD_PHONON4QT5=ON   \
    9291      -Wno-dev .. &amp;&amp;
  • kde/polkit-qt.xml

    r75215bf rc252262  
    8282cmake -DCMAKE_INSTALL_PREFIX=/usr \
    8383      -DCMAKE_BUILD_TYPE=Release  \
    84       -DCMAKE_INSTALL_LIBDIR=lib  \
    8584      -Wno-dev .. &amp;&amp;
    8685make</userinput></screen>
  • postlfs/security/gpgme.xml

    r75215bf rc252262  
    101101  <sect2 role="installation">
    102102    <title>Installation of GPGME</title>
     103
     104    <para>
     105      Fix a minor release error:
     106    </para>
     107
     108<screen><userinput>sed 's#@libsuffix@#.so#' -i lang/cpp/src/GpgmeppConfig.cmake.in.in</userinput></screen>
    103109
    104110    <para>
Note: See TracChangeset for help on using the changeset viewer.